diff --git a/sudoers.cat b/sudoers.cat
index 9adeec73b..1e4c85a73 100644
--- a/sudoers.cat
+++ b/sudoers.cat
@@ -163,213 +287,282 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
                used to escape special characters such as: "*",
                "?", "[", and "}".
 
-       eeeexxxxcccceeeeppppttttiiiioooonnnnssss ttttoooo wwwwiiiillllddddccccaaaarrrrdddd rrrruuuulllleeeessss::::
+       Note that a forward slash ('/') will nnnnooootttt be matched by
+       wildcards used in the pathname.  When matching the command
+       line arguments, however, as slash ddddooooeeeessss get matched by
+       wildcards.  This is to make a path like:
+
+           /usr/bin/*
+
+       match /usr/bin/who but not /usr/bin/X11/xterm.
+
+       EEEExxxxcccceeeeppppttttiiiioooonnnnssss ttttoooo wwwwiiiillllddddccccaaaarrrrdddd rrrruuuulllleeeessss::::
 
        The following exceptions apply to the above rules:
 
-       "       If the empty string "" is the only command line
+       ""      If the empty string "" is the only command line
                argument in the _s_u_d_o_e_r_s entry it means that
-               command may take nnnnoooo arguments.
+               command is not allowed to be run with aaaannnnyyyy
+               arguments.
 
-       ooootttthhhheeeerrrr ssssppppeeeecccciiiiaaaallll cccchhhhaaaarrrraaaacccctttteeeerrrrssss aaaannnndddd rrrreeeesssseeeerrrrvvvveeeedddd wwwwoooorrrrddddssss::::
+       OOOOtttthhhheeeerrrr ssssppppeeeecccciiiiaaaallll cccchhhhaaaarrrraaaacccctttteeeerrrrssss aaaannnndddd rrrreeeesssseeeerrrrvvvveeeedddd wwwwoooorrrrddddssss::::
 
-       Text after a pound sign (####) is considered a comment.
-       Words that begin with a percent sign (%%%%) are assumed to be
-       UN*X groups (%staff refers to users in the group _s_t_a_f_f).
-       Words that begin with a plus sign (++++) are assumed to be
-       netgroups (++++ccccsssshhhhoooossssttttssss refers to the netgroup _c_s_h_o_s_t_s).  Long
-       lines can be newline escaped with the backslash \\\\
-       character.
+       The pound sign ('#') is used to indicate a comment (unless
+       it occurs in the context of a user name and is followed by
+       one or more digits, in which case it is treated as a uid).
+       Both the comment character and any text after it, up to
+       the end of the line, are ignored.
 
-       The reserved word NNNNOOOOPPPPAAAASSSSSSSSWWWWDDDD indicates that a user need not
-       enter a password for the command listed in that entry.
-       The NNNNOOOOPPPPAAAASSSSSSSSWWWWDDDD modifier is persistent across entries in a
-       _u_s_e_r_-_l_i_s_t and can be reversed with the PPPPAAAASSSSSSSSWWWWDDDD modifier.
+       The reserved word AAAALLLLLLLL is a a built in _a_l_i_a_s that always
+       causes a match to succeed.  It can be used wherever one
+       might otherwise use a Cmnd_Alias, User_Alias, Runas_Alias,
+       or Host_Alias.  You should not try to define your own
+       _a_l_i_a_s called AAAALLLLLLLL as the built in alias will be used in
+       preference to your own.
 
-       The reserved alias _A_L_L can be used for both
-       {Host,User,Cmnd}_Alias.  DDDDOOOO NNNNOOOOTTTT define an alias of _A_L_L, it
-       will NNNNOOOOTTTT be used.  Note that _A_L_L implies the entire
-       universe of hosts/users/commands.  You can subtract
+       An exclamation point ('!') can be used as a logical _n_o_t
+       operator both in an _a_l_i_a_s and in front of a Cmnd.  This
 
 
 
-22/Jun/1999                    1.6                              3
+25/Aug/1999                    1.6                              5
 
 
 
 
 
-sudoers(5)                 FILE FORMATS                sudoers(5)
+SUDOERS(5)                 FILE FORMATS                SUDOERS(5)
 
 
-       elements from the universe by using the syntax:
+       allows one to exclude certain values.  Note, however, that
+       using a ! in conjunction with the built in ALL alias to
+       allow a user to run "all but a few" commands rarely works
+       as intended (see SECURITY NOTES below).
 
-          user  host=ALL,!ALIAS1,!/sbin/halt...
+       Long lines can be continued with a backslash ('\\') as the
+       last character on the line.
 
-       Commands may have optional command line arguments.  If
-       they do, then the arguments in the _s_u_d_o_e_r_s file must
-       exactly match those on the command line.  It is also
-       possible to have a command's arguments span multiple lines
-       as long as the line continuance character "\" is used.
-       The following characters must be escaped with a "\" if
-       used in command arguments: ",", ":", "=", "\".
+       Whitespace between elements in a list as well as specicial
+       syntactic characters in a _U_s_e_r _S_p_e_c_i_f_i_c_a_t_i_o_n ('=', ':',
+       '(', ')') is optional.
 
 EEEEXXXXAAAAMMMMPPPPLLLLEEEESSSS
-           # Host alias specification
-           Host_Alias  HUB=houdini:\
-                       REMOTE=merlin,kodiakthorn,spirit
-           Host_Alias  SERVERS=houdini,merlin,kodiakthorn,spirit
-           Host_Alias  CUNETS=128.138.0.0/255.255.0.0
-           Host_Alias  CSNETS=128.138.243.0,128.138.204.0,\
-                              128.138.205.192
+       Below are example _s_u_d_o_e_r_s entries.  Admittedly, some of
+       these are a bit contrived.  First, we define our _a_l_i_a_s_e_s:
 
-           # User alias specification
-           User_Alias  FULLTIME=millert,dowdy,mikef
-           User_Alias  PARTTIME=juola,mccreary,tor
+        # User alias specification
+        User_Alias     FULLTIMERS = millert, mikef, dowdy
+        User_Alias     PARTTIMERS = bostley, jwfox, crawl
+        User_Alias     WEBMASTERS = will, wendy, wim
 
-           # Runas alias specification
-           Runas_Alias OP=root,operator
+        # Runas alias specification
+        Runas_Alias    OP = root, operator
+        Runas_Alias    DB = oracle, sybase
 
-           # Command alias specification
-           Cmnd_Alias  LPCS=/usr/sbin/lpc,/usr/bin/lprm
-           Cmnd_Alias  SHELLS=/bin/sh,/bin/csh,/bin/tcsh,/bin/ksh
-           Cmnd_Alias  SU=/usr/bin/su
-           Cmnd_Alias  MISC=/bin/rm,/bin/cat:\
-                       SHUTDOWN=/sbin/halt,/sbin/shutdown
+        # Host alias specification
+        Host_Alias     SPARC = bigtime, eclipse, moet, anchor :\
+                       SGI = grolsch, dandelion, black :\
+                       ALPHA = widget, thalamus, foobar :\
+                       HPPA = boa, nag, python
+        Host_Alias     CUNETS = 128.138.0.0/255.255.0.0
+        Host_Alias     CSNETS = 128.138.243.0, 128.138.204.0/24, 128.138.242.0
+        Host_Alias     SERVERS = master, mail, www, ns
+        Host_Alias     CDROM = orion, perseus, hercules
 
-           # User specification
-           FULLTIME    ALL=(ALL) NOPASSWD: ALL
-           %wheel      ALL=ALL
-           PARTTIME    ALL=ALL,!SHELLS,!SU
-           +interns    +openlabs=ALL,!SHELLS,!SU
-           britt       REMOTE=SHUTDOWN:ALL=LPCS
-           jimbo       CUNETS=/usr/bin/su [!-]*,!/usr/bin/su *root*
-           nieusma     SERVERS=SHUTDOWN,/sbin/reboot:\
-                       HUB=ALL,!SHELLS
-           jill        houdini=/sbin/shutdown -[hr] now,MISC
-           markm       HUB=ALL,!MISC,!/sbin/shutdown,!/sbin/halt
-           davehieb    merlin=(OP) ALL:SERVERS=/sbin/halt:\
-                       kodiakthorn=NOPASSWD: ALL
-           steve       CSNETS=(operator) /usr/op_commands/
+        # Cmnd alias specification
+        Cmnd_Alias     DUMPS = /usr/bin/mt, /usr/sbin/dump, /usr/sbin/rdump,\
+                               /usr/sbin/restore, /usr/sbin/rrestore
+        Cmnd_Alias     KILL = /usr/bin/kill
+        Cmnd_Alias     PRINTING = /usr/sbin/lpc, /usr/bin/lprm
+        Cmnd_Alias     SHUTDOWN = /usr/sbin/shutdown
+        Cmnd_Alias     HALT = /usr/sbin/halt, /usr/sbin/fasthalt
+        Cmnd_Alias     REBOOT = /usr/sbin/reboot, /usr/sbin/fastboot
+        Cmnd_Alias     SHELLS = /usr/bin/sh, /usr/bin/csh, /usr/bin/ksh, \
+                                /usr/local/bin/tcsh, /usr/bin/rsh, \
+                                /usr/local/bin/zsh
+        Cmnd_Alias     SU = /usr/bin/su
+
+       The _U_s_e_r _s_p_e_c_i_f_i_c_a_t_i_o_n is the part that actually
+       determines who may run what.
+
+        root           ALL = (ALL) ALL
+        %wheel         ALL = (ALL) ALL
+
+
+
+
+25/Aug/1999                    1.6                              6
 
 
 
 
 
+SUDOERS(5)                 FILE FORMATS                SUDOERS(5)
+
+
+       We let rrrrooooooootttt and any user in group wwwwhhhheeeeeeeellll run any command on
+       any host as any user.
+
+        FULLTIMERS     ALL = NOPASSWD: ALL
+
+       Full time sysadmins (mmmmiiiilllllllleeeerrrrtttt, mmmmiiiikkkkeeeeffff, and ddddoooowwwwddddyyyy) may run
+       any command on any host without authenticating themselves.
+
+        PARTTIMERS     ALL = ALL
+
+       Part time sysadmins (bbbboooossssttttlllleeeeyyyy, jjjjwwwwffffooooxxxx, and ccccrrrraaaawwwwllll) may run
+       any command on any host but they must authenticate
+       themselves first (since the entry lacks the NOPASSWD tag).
+
+        jack           CSNETS = ALL
+
+       The user jjjjaaaacccckkkk may run any command on the machines in the
+       _C_S_N_E_T_S alias (the networks 128.138.243.0, 128.138.204.0,
+       and 128.138.242.0).  Of those networks, only
+       <128.138.204.0> has an explicit netmask (in CIDR notation)
+       indicating it is a class C network.  For the other
+       networks in _C_S_N_E_T_S, the local machine's netmask will be
+       used during matching.
+
+        lisa           CUNETS = ALL
+
+       The user lllliiiissssaaaa may run any command on any host in the
+       _C_U_N_E_T_S alias (the class B network 128.138.0.0).
+
+        operator       ALL = DUMPS, KILL, PRINTING, SHUTDOWN, HALT, REBOOT,\
+                       /usr/oper/bin/
+
+       The ooooppppeeeerrrraaaattttoooorrrr user may run commands limited to simple
+       maintenance.  Here, those are commands related to backups,
+       killing processes, the printing system, shutting down the
+       system, and any commands in the directory _/_u_s_r_/_o_p_e_r_/_b_i_n_/.
+
+        joe            ALL = /usr/bin/su operator
+
+       The user jjjjooooeeee may only _s_u(1) to operator.
+
+        pete           HPPA = /usr/bin/passwd [A-z]*, !/usr/bin/passwd root
+
+       The user ppppeeeetttteeee is allowed to change anyone's password
+       except for root on the _H_P_P_A machines.  Note that this
+       assumes _p_a_s_s_w_d(1) does not take multiple usernames on the
+       command line.
+
+        bob            SPARC = (OP) ALL : SGI = (OP) ALL
+
+       The user bbbboooobbbb may run anything on the _S_P_A_R_C and _S_G_I
+       machines as any user listed in the _O_P Runas_Alias (rrrrooooooootttt
+       and ooooppppeeeerrrraaaattttoooorrrr).
 
 
 
-22/Jun/1999                    1.6                              4
+
+25/Aug/1999                    1.6                              7
 
 
 
 
 
-sudoers(5)                 FILE FORMATS                sudoers(5)
+SUDOERS(5)                 FILE FORMATS                SUDOERS(5)
 
 
-       HHHHoooosssstttt AAAAlllliiiiaaaassss ssssppppeeeecccciiiiffffiiiiccccaaaattttiiiioooonnnnssss::::
+        jim            +biglab = ALL
 
-       The are four _h_o_s_t _a_l_i_a_s_e_s.  The first actually contains
-       two _a_l_i_a_s_e_s.  It sets HUB to be houdini and REMOTE to the
-       three machines merlin, kodiakthorn and spirit.  Similarly,
-       SERVERS is set to the machines houdini, merlin,
-       kodiakthorn and spirit.  The CSNETS alias will match any
-       host on the 128.138.243.0, 128.138.204.0, or
-       128.138.205.192 nets.  The CUNETS alias will match any
-       host on the 128.138.0.0 (class B) network.  Note that
-       these are nnnneeeettttwwwwoooorrrrkkkk addresses, not ip addresses.  Unless an
-       explicit netmask is given, the local _n_e_t_m_a_s_k is used to
-       determine whether or not the current host belongs to a
-       network.
+       The user jjjjiiiimmmm may run any command on machines in the _b_i_g_l_a_b
+       netgroup.  SSSSuuuuddddoooo knows that "biglab" is a netgroup due to
+       the '+' prefix.
 
-       UUUUsssseeeerrrr AAAAlllliiiiaaaassss ssssppppeeeecccciiiiffffiiiiccccaaaattttiiiioooonnnnssss::::
+        +secretaries   ALL = PRINTING, /usr/bin/adduser, /usr/bin/rmuser
 
-       The two _u_s_e_r _a_l_i_a_s_e_s simply groups the FULLTIME and
-       PARTTIME folks into two separate aliases.
+       Users in the sssseeeeccccrrrreeeettttaaaarrrriiiieeeessss netgroup need to help manage the
+       printers as well as add and remove users, so they are
+       allowed to run those commands on all machines.
 
-       CCCCoooommmmmmmmaaaannnndddd aaaalllliiiiaaaassss ssssppppeeeecccciiiiffffiiiiccccaaaattttiiiioooonnnnssss::::
+        fred           ALL = (DB) NOPASSWD: ALL
 
-       Command aliases are lists of commands with or without
-       associated command line arguments.  The entries above
-       should be self-explanatory.
+       The user ffffrrrreeeedddd can run commands as any user in the _D_B
+       Runas_Alias (oooorrrraaaacccclllleeee or ssssyyyybbbbaaaasssseeee) without giving a password.
 
-       UUUUsssseeeerrrr ssssppppeeeecccciiiiffffiiiiccccaaaattttiiiioooonnnnssss::::
+        john           ALPHA = /usr/bin/su [!-]*, !/usr/bin/su *root*
+
+       On the _A_L_P_H_A machines, user jjjjoooohhhhnnnn may su to anyone except
+       root but he is not allowed to give _s_u(1) any flags.
+
+        jen            ALL, !SERVERS = ALL
+
+       The user jjjjeeeennnn may run any command on any machine except for
+       those in the _S_E_R_V_E_R_S Host_Alias (master, mail, www and
+       ns).
+
+        jill           SERVERS = /usr/bin/, !SU, !SHELLS
+
+       For any machine in the _S_E_R_V_E_R_S Host_Alias, jjjjiiiillllllll may run
+       any commands in the directory /usr/bin/ except for those
+       commands belonging to the _S_U and _S_H_E_L_L_S Cmnd_Aliases.
+
+        steve          CSNETS = (operator) /usr/local/op_commands/
+
+       The user sssstttteeeevvvveeee may run any command in the directory
+       /usr/local/op_commands/ but only as user operator.
+
+        matt           valkyrie = KILL
+
+       On his personal workstation, valkyrie, mmmmaaaatttttttt needs to be
+       able to kill hung processes.
+
+        WEBMASTERS     www = (www) ALL, (root) /usr/bin/su www
+
+       On the host www, any user in the _W_E_B_M_A_S_T_E_R_S User_Alias
+       (will, wendy, and wim), may run any command as user www
+       (which owns the web pages) or simply _s_u(1) to www.
+
+        ALL            CDROM = NOPASSWD: /sbin/umount /CDROM,\
+                       /sbin/mount -o nosuid\,nodev /dev/cd0a /CDROM
+
+       Any user may mount or unmount a CD-ROM on the machines in
 
 
-       FULLTIME        Full-time sysadmins in the FULLTIME alias
-                       may run any command on any host as any
-                       user without a password.
 
-       %wheel          Any user in the UN*X group wheel may run
-                       any command on any host.
-
-       PARTTIME        Part-time sysadmins in the PARTTIME alias
-                       may run any command except those in the
-                       SHELLS and SU aliases on any host.
-
-       +interns        Any user in the netgroup interns may run
-                       any command except those in the SHELLS and
-                       SU aliases on any host that is in the
-                       openlabs netgroup.
-
-       britt           The user britt may run commands in the
-                       SHUTDOWN alias on the REMOTE machines and
-                       commands in the LPCS alias on any machine.
-
-       jimbo           The user jimbo may su to any user save
-                       root on the machines on CUNETS (which is
-                       explicitly listed as a class B network).
+25/Aug/1999                    1.6                              8
 
 
 
 
 
-22/Jun/1999                    1.6                              5
+SUDOERS(5)                 FILE FORMATS                SUDOERS(5)
 
 
+       the CDROM Host_Alias (orion, perseus, hercules) without
+       entering a password.  This is a bit tedious for users to
+       type, so it is a prime candiate for encapsulating in a
+       shell script.
 
+SSSSEEEECCCCUUUURRRRIIIITTTTYYYY NNNNOOOOTTTTEEEESSSS
+       It is generally not effective to "subtract" commands from
+       ALL using the '!' operator.  A user can trivially
+       circumvent this by copying the desired command to a
+       different name and then executing that.  For example:
 
+           bill        ALL = ALL, !SU, !SHELLS
 
-sudoers(5)                 FILE FORMATS                sudoers(5)
-
-
-       nieusma         The user nieusma may run commands in the
-                       SHUTDOWN alias as well as _/_s_b_i_n_/_r_e_b_o_o_t on
-                       the SERVER machines and any command except
-                       those in the SHELLS alias on the HUB
-                       machines.
-
-       jill            The user jill may run /sbin/shutdown -h
-                       now or /sbin/shutdown -r now as well as
-                       the commands in the MISC alias on houdini.
-
-       markm           The user markm may run any command on the
-                       HUB machines except _/_s_b_i_n_/_s_h_u_t_d_o_w_n,
-                       _/_s_b_i_n_/_h_a_l_t, and commands listed in the
-                       MISC alias.
-
-       davehieb        The user davehieb may run any command on
-                       merlin as any user in the Runas_Alias OP
-                       (ie: root or operator).  He may also run
-                       _/_s_b_i_n_/_h_a_l_t on the SERVERS and any command
-                       on kodiakthorn (no password required on
-                       kodiakthorn).
-
-       steve           The user steve may run any command in the
-                       _/_u_s_r_/_o_p___c_o_m_m_a_n_d_s_/ directory as user
-                       operator on the machines on CSNETS.
+       Doesn't really prevent bbbbiiiillllllll from running the commands
+       listed in _S_U or _S_H_E_L_L_S since he can simply copy those
+       commands to a different name, or use a shell escape from
+       an editor or other program.  Therefore, these kind of
+       restrictions should be considered advisory at best (and
+       reinforced by policy).
 
 CCCCAAAAVVVVEEEEAAAATTTTSSSS
        The _s_u_d_o_e_r_s file should aaaallllwwwwaaaayyyyssss be edited by the vvvviiiissssuuuuddddoooo
        command which locks the file and does grammatical
-       checking. It is imperative that the _s_u_d_o_e_r_s be free of
-       syntax errors since sudo will not run with a syntactically
+       checking. It is imperative that _s_u_d_o_e_r_s be free of syntax
+       errors since ssssuuuuddddoooo will not run with a syntactically
        incorrect _s_u_d_o_e_r_s file.
 
 FFFFIIIILLLLEEEESSSS
-        /etc/sudoers           file of authorized users.
-        /etc/netgroup          list of network groups.
+        /etc/sudoers           List of who can run what
+        /etc/group             Local groups file
+        /etc/netgroup          List of network groups
 
 
 SSSSEEEEEEEE AAAALLLLSSSSOOOO
@@ -391,18 +584,18 @@ SSSSEEEEEEEE AAAALLLLSSSSOOOO
 
 
 
-22/Jun/1999                    1.6                              6
 
 
 
 
 
-sudoers(5)                 FILE FORMATS                sudoers(5)
+25/Aug/1999                    1.6                              9
 
 
 
 
 
+SUDOERS(5)                 FILE FORMATS                SUDOERS(5)
 
 
 
@@ -457,6 +650,11 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-22/Jun/1999                    1.6                              7
+
+
+
+
+
+25/Aug/1999                    1.6                             10
 
 
